Skip to main content
GET
/
subscriptions
/
{id}
/
entitlements
/
{key}
Get a specific entitlement
curl --request GET \
  --url https://api.alguna.io/subscriptions/{id}/entitlements/{key} \
  --header 'Alguna-Version: <alguna-version>' \
  --header 'Authorization: Bearer <token>'
{
  "id": "ent_abc123",
  "mode": "static",
  "subscription_id": "sub_abc123",
  "type": "boolean",
  "version_id": "subv_abc123",
  "allocation": {
    "amount": "100000",
    "credit_type": "monetary",
    "rollover_enabled": true,
    "rollover_max_periods": 3
  },
  "key": "api_access",
  "timing": {
    "recurrence": "recurring",
    "interval": "monthly"
  },
  "value": "true"
}

Documentation Index

Fetch the complete documentation index at: https://alguna.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Pass your API key as a Bearer token.

Headers

Alguna-Version
enum<string>
required
Available options:
2026-04-01

Path Parameters

id
string
required

Unique identifier for the subscription

key
string
required

Unique identifier for the entitlement

Response

Success

id
string
required

Entitlement ID

Example:

"ent_abc123"

mode
string
required

Entitlement mode

Example:

"static"

subscription_id
string
required

Subscription ID

Example:

"sub_abc123"

type
string
required

Entitlement type

Example:

"boolean"

version_id
string
required

Version ID

Example:

"subv_abc123"

allocation
object

Credit allocation config

key
string | null

Entitlement key

Example:

"api_access"

timing
object

Timing config

value
string

Entitlement value

Example:

"true"